JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinReg.HKEY

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.WinNT.HANDLE
              com.sun.jna.platform.win32.WinReg.HKEY

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinReg

    public static class WinReg.HKEY

extends WinNT.HANDLE

Constructor Summary
`WinReg.HKEY()`
`WinReg.HKEY(int value)`
`WinReg.HKEY(Pointer p)`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE
`fromNative, setPointer`

Methods inherited from class com.sun.jna.PointerType
`equals, getPointer, hashCode, nativeType, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinReg.HKEY

    public WinReg.HKEY()

### WinReg.HKEY

    public WinReg.HKEY(Pointer p)

### WinReg.HKEY

    public WinReg.HKEY(int value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.